<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

use Gls\GlsPoland\AdePlus\Response;
use Gls\GlsPoland\Soap\Client\Type\ResultInterface;
use JsonSerializable;

final class AdeParcelShopGetByCountryResponse extends Response implements ResultInterface, JsonSerializable
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShopArray
     */
    protected $return;

    public function jsonSerialize(): array
    {
        return [
            'return' => $this->return,
        ];
    }

    public function getReturn(): CParcelShopArray
    {
        return $this->return;
    }

    public function withReturn(CParcelShopArray $return): AdeParcelShopGetByCountryResponse
    {
        $new = clone $this;
        $new->return = $return;

        return $new;
    }
}
